Bug 76816 - [IVB/HSW/BYT/BDW bisected]Character render error when runing Steam-Half-Life2 or Steam_Counter-Strike:Source
Summary: [IVB/HSW/BYT/BDW bisected]Character render error when runing Steam-Half-Life2...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: All Linux (All)
: high major
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-31 04:29 UTC by zhoujian
Modified: 2014-04-08 03:28 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
steam-hl2.png (2.91 MB, image/png)
2014-03-31 04:33 UTC, zhoujian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhoujian 2014-03-31 04:29:43 UTC
Platform: IVB/HSW/BYT
Libdrm:(master)libdrm-2.4.52-10-g1cb5fc706cf5913d9dee33c939f65a23ecea17a5
Mesa:(master)7683fce8781ef0169333c5ee1276392d058cfaa8
Xserver:(master)xorg-server-1.15.99.901-129-gbf087659f0fb747c471e26c5b287c35877818040
Xf86_video_intel:(master)2.99.911-3-g220accd828c5a0054ae9e3b491a434f7a6c750e0
Cairo:(master)bb17403622e9ea474017e0039af8ee48b2b285db
Libva:(staging)bf2e1773d4373619232c4c653b8cda19ea329441
Libva_intel_driver:(staging)b1319c7f7cb9d20179b20dac2308330bd0e51ffe
Kernel:(drm-intel-nightly)git-842955

Bug detailed description:
----------------------------------------------
Character Render error when runing Steam-half Life2 on IVB/HSW/BYT. The problem exists on gnome-session and Raw X.  It’s Mesa regression. Please see steam-hl2.png.
By bisected show the first bad commit is :
commit 9cd51bb0c4608258199c69bc7738e72f055799d2
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Mar 11 13:16:37 2014 -0700
    i965/vec4: Eliminate writes that are never read.

Reproduce steps:
---------------------------------------------
1, xinit
2, export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib64:/lib32:/lib/:/root/.steam/ubuntu12_32:/root/.steam/ubuntu12_32/steam-runtime/i386/lib:/root/.steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu:/root/.steam/ubuntu12_32/steam-runtime/i386/usr/lib:/root/.steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu:/root/.steam/ubuntu12_32/steam-runtime/amd64/lib:/root/.steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu:/root/.steam/ubuntu12_32/steam-runtime/amd64/usr/lib:/root/.steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu:/root/.steam/ubuntu12_64:bin
3, vblank_mode=0 ./hl2.sh -game hl2 +cl_showfps 1 -novid +timedemo hl2 +demo_quitafterplayback 1 -full -w 1920 -h 1080
Comment 1 zhoujian 2014-03-31 04:33:05 UTC
Created attachment 96637 [details]
steam-hl2.png
Comment 2 zhoujian 2014-04-02 08:49:59 UTC
 This problem also exist on Steam_Counter-Strike:Source game.
Comment 3 Tapani Pälli 2014-04-03 12:44:48 UTC
Zhoujian : does HL2 work for you before the bisected commit? I'm having problems getting the game to work now even with older Mesa (?) I'm running on IVB and graphics are messed up already at menu screen, there are bunch of errors on the console from the game itself after I exit. I will try to see first if this is just problem with my environment.
Comment 4 Matt Turner 2014-04-03 14:49:14 UTC
I expect that this is the same bug as https://bugs.freedesktop.org/show_bug.cgi?id=76616 and I've got a patch waiting for review to fix it.
Comment 5 zhoujian 2014-04-04 09:50:59 UTC
(In reply to comment #3)
> Zhoujian : does HL2 work for you before the bisected commit? 
Yes, it's good.
Comment 6 zhoujian 2014-04-04 10:36:19 UTC
(In reply to comment #4)
> I expect that this is the same bug as
> https://bugs.freedesktop.org/show_bug.cgi?id=76616 and I've got a patch
> waiting for review to fix it.
With above the patch,retest it can works well.
Comment 8 zhoujian 2014-04-08 03:28:03 UTC
With above the patch,verified it.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.